Index: gcc/params.def
===================================================================
--- gcc/params.def	(revision 211799)
+++ gcc/params.def	(working copy)
@@ -1005,22 +1005,22 @@
 DEFPARAM (PARAM_ALLOW_LOAD_DATA_RACES,
 	  "allow-load-data-races",
 	  "Allow new data races on loads to be introduced",
-	  1, 0, 1)
+	  0, 0, 1)
 
 DEFPARAM (PARAM_ALLOW_STORE_DATA_RACES,
 	  "allow-store-data-races",
 	  "Allow new data races on stores to be introduced",
-	  1, 0, 1)
+	  0, 0, 1)
 
 DEFPARAM (PARAM_ALLOW_PACKED_LOAD_DATA_RACES,
 	  "allow-packed-load-data-races",
 	  "Allow new data races on packed data loads to be introduced",
-	  1, 0, 1)
+	  0, 0, 1)
 
 DEFPARAM (PARAM_ALLOW_PACKED_STORE_DATA_RACES,
 	  "allow-packed-store-data-races",
 	  "Allow new data races on packed data stores to be introduced",
-	  1, 0, 1)
+	  0, 0, 1)
 
 /* Reassociation width to be used by tree reassoc optimization.  */
 DEFPARAM (PARAM_TREE_REASSOC_WIDTH,
Index: gcc/testsuite/c-c++-common/cxxbitfields-3.c
===================================================================
--- gcc/testsuite/c-c++-common/cxxbitfields-3.c	(revision 211799)
+++ gcc/testsuite/c-c++-common/cxxbitfields-3.c	(working copy)
@@ -1,5 +1,5 @@
 /* { dg-do compile { target i?86-*-* x86_64-*-* } } */
-/* { dg-options "-O2 --param allow-store-data-races=0" } */
+/* { dg-options "-O2" } */
 
 /* Make sure we don't narrow down to a QI or HI to store into VAR.J,
    but instead use an SI.  */
Index: gcc/testsuite/c-c++-common/cxxbitfields-6.c
===================================================================
--- gcc/testsuite/c-c++-common/cxxbitfields-6.c	(revision 211799)
+++ gcc/testsuite/c-c++-common/cxxbitfields-6.c	(working copy)
@@ -1,6 +1,6 @@
 /* PR middle-end/50141 */
 /* { dg-do compile } */
-/* { dg-options "-O2 --param allow-store-data-races=0" } */
+/* { dg-options "-O2" } */
 
 struct S
 {
Index: gcc/testsuite/c-c++-common/simulate-thread/bitfields-1.c
===================================================================
--- gcc/testsuite/c-c++-common/simulate-thread/bitfields-1.c	(revision 211799)
+++ gcc/testsuite/c-c++-common/simulate-thread/bitfields-1.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
Index: gcc/testsuite/c-c++-common/simulate-thread/bitfields-2.c
===================================================================
--- gcc/testsuite/c-c++-common/simulate-thread/bitfields-2.c	(revision 211799)
+++ gcc/testsuite/c-c++-common/simulate-thread/bitfields-2.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link { target { ! int16 } } } */
-/* { dg-options "--param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
Index: gcc/testsuite/c-c++-common/simulate-thread/bitfields-3.c
===================================================================
--- gcc/testsuite/c-c++-common/simulate-thread/bitfields-3.c	(revision 211799)
+++ gcc/testsuite/c-c++-common/simulate-thread/bitfields-3.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
Index: gcc/testsuite/c-c++-common/simulate-thread/bitfields-4.c
===================================================================
--- gcc/testsuite/c-c++-common/simulate-thread/bitfields-4.c	(revision 211799)
+++ gcc/testsuite/c-c++-common/simulate-thread/bitfields-4.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
Index: gcc/testsuite/g++.dg/simulate-thread/bitfields.C
===================================================================
--- gcc/testsuite/g++.dg/simulate-thread/bitfields.C	(revision 211799)
+++ gcc/testsuite/g++.dg/simulate-thread/bitfields.C	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-load-data-races=0 --param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 /* Test that setting <var.a> does not touch either <var.b> or <var.c>.
Index: gcc/testsuite/g++.dg/simulate-thread/bitfields-2.C
===================================================================
--- gcc/testsuite/g++.dg/simulate-thread/bitfields-2.C	(revision 211799)
+++ gcc/testsuite/g++.dg/simulate-thread/bitfields-2.C	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-load-data-races=0 --param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 /* Test that setting <var.a> does not touch either <var.b> or <var.c>.
Index: gcc/testsuite/gcc.dg/lto/pr52097_0.c
===================================================================
--- gcc/testsuite/gcc.dg/lto/pr52097_0.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/lto/pr52097_0.c	(working copy)
@@ -1,5 +1,5 @@
 /* { dg-lto-do link } */
-/* { dg-lto-options { { -O -flto -fexceptions -fnon-call-exceptions --param allow-store-data-races=0 } } } */
+/* { dg-lto-options { { -O -flto -fexceptions -fnon-call-exceptions } } } */
 
 typedef struct { unsigned int e0 : 16; } s1;
 typedef struct { unsigned int e0 : 16; } s2;
Index: gcc/testsuite/gcc.dg/simulate-thread/speculative-store.c
===================================================================
--- gcc/testsuite/gcc.dg/simulate-thread/speculative-store.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/simulate-thread/speculative-store.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
@@ -6,7 +5,7 @@
 #include "simulate-thread.h"
 
 /* This file tests that speculative store movement out of a loop doesn't 
-   happen.  This is disallowed when --param allow-store-data-races is 0.  */
+   happen.  */
 
 int global = 100;
 
Index: gcc/testsuite/gcc.dg/simulate-thread/speculative-store-2.c
===================================================================
--- gcc/testsuite/gcc.dg/simulate-thread/speculative-store-2.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/simulate-thread/speculative-store-2.c	(working copy)
@@ -1,5 +1,5 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-store-data-races=0 -O2" } */
+/* { dg-options "-O2" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
@@ -7,8 +7,7 @@
 
 #include "simulate-thread.h"
 
-/* Test that speculative stores do not happen for --param
-   allow-store-data-races=0.  */
+/* Test that speculative stores do not happen.  */
 
 int count, insns;
 
Index: gcc/testsuite/gcc.dg/simulate-thread/speculative-store-3.c
===================================================================
--- gcc/testsuite/gcc.dg/simulate-thread/speculative-store-3.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/simulate-thread/speculative-store-3.c	(working copy)
@@ -1,5 +1,5 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-store-data-races=0 -O2" } */
+/* { dg-options "-O2" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
Index: gcc/testsuite/gcc.dg/simulate-thread/speculative-store-4.c
===================================================================
--- gcc/testsuite/gcc.dg/simulate-thread/speculative-store-4.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/simulate-thread/speculative-store-4.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
@@ -8,8 +7,7 @@
 #include "simulate-thread.h"
 
 /* PR 54139 */
-/* Test that speculative stores do not happen for --param
-   allow-store-data-races=0.  */
+/* Test that speculative stores do not happen.  */
 
 int g_13=1, insns=1;
 
Index: gcc/testsuite/gcc.dg/simulate-thread/strict-align-global.c
===================================================================
--- gcc/testsuite/gcc.dg/simulate-thread/strict-align-global.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/simulate-thread/strict-align-global.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-packed-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
Index: gcc/testsuite/gcc.dg/simulate-thread/subfields.c
===================================================================
--- gcc/testsuite/gcc.dg/simulate-thread/subfields.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/simulate-thread/subfields.c	(working copy)
@@ -1,5 +1,4 @@
 /* { dg-do link } */
-/* { dg-options "--param allow-packed-store-data-races=0" } */
 /* { dg-final { simulate-thread } } */
 
 #include <stdio.h>
Index: gcc/testsuite/gcc.dg/tree-ssa/20050314-1.c
===================================================================
--- gcc/testsuite/gcc.dg/tree-ssa/20050314-1.c	(revision 211799)
+++ gcc/testsuite/gcc.dg/tree-ssa/20050314-1.c	(working copy)
@@ -15,7 +15,7 @@
 }
 
 /* Store motion may be applied to the assignment to a[k], since sinf
-   cannot read nor write the memory.  */
+   cannot read nor write the memory.  Add one for the store flag.  */
 
-/* { dg-final { scan-tree-dump-times "Moving statement" 1 "lim1" } } */
+/* { dg-final { scan-tree-dump-times "Moving statement" 2 "lim1" } } */
 /* { dg-final { cleanup-tree-dump "lim1" } } */
